[package]
name = "music-player"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
flow        = { path = "../../flow" }
gstreamer   = { version = "0.19" }
id3         = { version = "1.6" }
mime_guess  = { version = "2.0" }
mime        = { version = "0.3" }
rusqlite    = { version = "0.28" }
serde       = { version = "1.0", features = ["derive"] }
serde_json  = { version = "1.0" }
thiserror   = { version = "1.0" }
tokio       = { version = "1.24", features = ["full"] }
url         = { version = "2.3" }
uuid        = { version = "1", features = ["v4"] }
warp        = { version = "0.3" }
urlencoding = { version = "2.1" }

[target.armv7-unknown-linux-gnueabi]
linker = "arm-linux-gnueabi-gcc"

[lib]
